Bug 1278682 - dnf provides semanage doesn't find the needed package (whereas yum-deprecated does)
dnf provides semanage doesn't find the needed package (whereas yum-deprecated...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 02:16 EST by Giulio 'juliuxpigface'
Modified: 2017-02-24 04:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-24 04:38:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giulio 'juliuxpigface' 2015-11-06 02:16:42 EST
Description of problem:
"dnf provides semanage" doesn't find the required package.
"yum-deprecated provides semanage" finds it.

Version-Release number of selected component (if applicable):
dnf-1.1.3-1.fc24.noarch

How reproducible:
Always

Steps to Reproduce:
Compare the results of "dnf provides semanage" and "yum-deprecated provides semanage"

Actual results:
[root@hubble ~]# yum-deprecated provides semanage
Yum command has been deprecated, use dnf instead.
See 'man dnf' and 'man yum2dnf' for more information.
   
policycoreutils-python-utils-2.4-14.fc24.x86_64 : SELinux policy core python
                                                : utilities
Repo         : rawhide
Corrispondenza trovata in:
Nome file   : /usr/sbin/semanage



policycoreutils-python-utils-2.4-14.fc24.x86_64 : SELinux policy core python
                                                : utilities
Repo         : installed
Corrispondenza trovata in:
Nome file   : /usr/sbin/semanage




[root@hubble ~]# dnf provides semanage
Last metadata expiration check performed 0:31:13 ago on Fri Nov  6 07:39:13 2015.
Errore: Nessuna corrispondenza trovata


Expected results:
dnf provides should provide the correct information.
Comment 1 Michal Luscon 2015-11-09 08:30:50 EST
Thank you for your report. We will fix repoquery to produce a cumulative list of results.
Comment 2 Jan Kurik 2016-02-24 08:54:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:31:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Igor Gnatenko 2016-07-22 04:58:16 EDT
it should be easy to implement, just take PATH and query for it.
Comment 5 Jan Kurik 2016-07-26 01:02:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 6 Jaroslav Mracek 2017-02-24 04:38:24 EST
Fixed in dnf-2.1.0-1.fc26 .

Note You need to log in before you can comment on or make changes to this bug.